#
# spec file for package rubygem-gettext
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-gettext
Version:        3.2.5
Release:        lp150.1.1
%define mod_name gettext
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://ruby-gettext.github.com/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Gettext is a pure Ruby libary and tools to localize messages
License:        Ruby or LGPL-3.0+
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Gettext is a GNU gettext-like program for Ruby.
The catalog file(po-file) is same format with GNU gettext.
So you can use GNU gettext tools for maintaining.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
* Thu Dec 14 2017 coolo@suse.com
- updated to version 3.2.5
  see installed news.md
  [#]# 3.2.5: 2017-12-14 {#version-3-2-5}
  [#]## Improvements
  * Stop to use `eval`.
    [GitHub#56][Reported by Michaël Hoste]
  [#]## Thanks
  * Michaël Hoste
* Sun Sep  3 2017 coolo@suse.com
- updated to version 3.2.4
  see installed news.md
  [#]# 3.2.4: 2017-08-13 {#version-3-2-4}
  [#]## Fixes
  * Fixed a bug that block parameter is handled as method name.
    [GitHub#53][Reported by Renaud Chaput]
  [#]## Thanks
  * Renaud Chaput
* Thu Aug  3 2017 coolo@suse.com
- updated to version 3.2.3
  see installed news.md
  [#]# 3.2.3: 2017-06-24 {#version-3-2-3}
  [#]## Improvements
  * Disabled unmaintainable Ruby from CI.
    [GitHub#48][Reported by JP Hastings-Spital]
  * Supported `--enable-frozen-string-literal` `ruby` option.
    [GitHub#52][Reported by Pat Allan]
  [#]## Thanks
  * JP Hastings-Spital
  * Pat Allan
* Mon Apr 18 2016 coolo@suse.com
- updated to version 3.2.2
  see installed news.md
  [#]# 3.2.2: 2016-04-17 {#version-3-2-2}
  [#]## Improvements
  * Supported non POSIX locale format such as "zh-Hant" for
    .mo search path.
    [GitHub#45][Patch by Michaël Hoste]
  [#]## Thanks
  * Michaël Hoste
* Mon Jan 25 2016 coolo@suse.com
- updated to version 3.2.1
  see installed news.md
  [#]# 3.2.1: 2016-01-23 {#version-3-2-1}
  [#]## Improvements
  * Supported customizing msgmerge options on merging edit.po to .po.
    [GitHub#44][Patch by Dominic Cleal]
  [#]## Thanks
  * Dominic Cleal
* Thu Jan 21 2016 coolo@suse.com
- updated to version 3.2.0
  see installed news.md
  [#]# 3.2.0: 2015-12-31 {#version-3-2-0}
  [#]## Improvements
  * Improved fuzzy detection for sub text.
  [#]# 3.1.9: 2015-12-30 {#version-3-1-9}
  [#]## Improvements
  * Improved fuzzy detection for small texts.
    [GitHub#43][Reported by Mamoru TASAKA]
  [#]## Thanks
  * Mamoru TASAKA
  [#]# 3.1.8: 2015-12-29 {#version-3-1-8}
  [#]## Improvements
  * Improved fuzzy detection.
* Wed Sep 23 2015 coolo@suse.com
- updated to version 3.1.7
  see installed news.md
  [#]# 3.1.7: 2015-09-22 {#version-3-1-7}
  [#]## Improvements
  * Supported 3 character language names.
    [GitHub#39][Patch by Vilius Paulauskas]
  * Suppressed duplicated range in regular expression warning.
    [GitHub#40][Patch by Vilius Paulauskas]
  * Replaced invalid character instead of raising an error on encoding
    conversion.
    [GitHub#41][Patch by Vilius Paulauskas]
  [#]## Fixes
  * Fixed a bug that undefined method is used.
    [GitHub#38][Patch by Hiroshi Hatake]
  [#]## Thanks
  * Hiroshi Hatake
  * Vilius Paulauskas
* Mon Feb  9 2015 coolo@suse.com
- updated to version 3.1.6, no changelog
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 3.1.2, no changelog
* Fri Mar 21 2014 coolo@suse.com
- updated to version 3.1.1, no changelog
* Sun Feb 23 2014 coolo@suse.com
- updated to version 3.1.0, no changelog
* Thu Feb  6 2014 coolo@suse.com
- updated to version 3.0.6, no changelog
* Mon Dec 16 2013 coolo@suse.com
- updated to version 3.0.3, no changelog
* Fri Oct  4 2013 coolo@suse.com
- updated to version 3.0.2
  [#]## Improvements
  * Added {GetText::PO#empty?}.
  * Added `:encoding` option to {GetText::POEntry#to_s}.
  * xgettext: Added `--no-location` option.
  * xgettext: Added `--sort-output` option.
  * xgettext: Added `--sort-by-file` option.
  * xgettext: Added `--sort-by-msgid` option.
  * xgettext: Added `--width` option.
  * xgettext: Added `--no-wrap` option.
* Mon Sep 23 2013 coolo@suse.com
- updated to version 3.0.1
  * Removed an unused file. [GitHub#19] [Reported by Ladislav Slezák]
  * msginit: Added full user name guessing by /etc/passwd.
  * incompatible: {GetText::Tools::Task} no longer require spec.
  * Added {GetText::Tools::Task.define}. It is the recommended API
    rather than {GetText::Tools::Task.new}.
  * Supported "utf8" as a valid charset.
    [GitHub#20][Reported by Antonio Terceiro]
  * Added {GetText::Tools::Task#enable_description=}.
  * Added {GetText::Tools::Task#enable_description?}.
  * Added {GetText::Tools::Task#enable_po=}.
  * Added {GetText::Tools::Task#enable_po?}.
  * Added {GetText::Tools::Task#msgmerge_options=}.
  * Added {GetText::Tools::Task#msgmerge_options}.
  * task: Added `gettext:po:add[LOCALE]` task.
  * msgmerge: add `--sort-output` option.
  * msgmerge: add `--sort-by-file` option.
  * msgmerge: add `--sort-by-msgid` option.
  * msgmerge: add `--no-location` option.
  * msgmerge: add `--width` option.
  * msgmerge: add `--no-wrap` option.
  * msgmerge: add `--update` option.
* Tue Sep  3 2013 coolo@suse.com
- updated to version 3.0.0
  This is a new major version up release!
  This release removes many deprecated APIs and improves internal
  APIs. We want to keep backward compatibility as much as possible but
  some existing codes may be broken by gettext gem API change. If your
  code breaks by gettext gem 3.0.0, please report your problem. We will
  fix the problem and release a new version.
  [#]## Improvements
  * Removed deprecated APIs
  * `require "gettext/parser/erb"`.
    Use `require "gettext/tools/parser/erb"` instead.
  * `require "gettext/parser/glade"`.
    Use `require "gettext/tools/parser/glade"` instead.
  * `require "gettext/parser/ruby"`.
    Use `require "gettext/tools/parser/ruby"` instead.
  * `require "gettext/utils"`.
    Use `require "gettext/tools"` instead.
  * `GetText.msgmerge`. Use `GetText::Tools::MsgMerge.run` instead.
  * `GetText.create_mofiles`. Use `GetText::Tools::Task` instead.
  * `GetText::PoParser`. Use `GetText::POParser` instead.
  * `require "gettext/tools/poparser"`.
    Use `require "gettext/po_parser"` instead.
  * `require "gettext/runtime/mofile"`.
    Use `require "gettext/mo"` instead.
  * `GetText::MoFile`. Use `GetText::MO` instead.
  * `GetText::Task`. Use `GetText::Tools::Task` instead.
  * `GetText.set_locale_all`. Use `GetText.set_locale` instead.
  * `GetText.setlocale`. Use `GetText.set_locale` instead.
  * `GetText::Tools::MsgMerge::PoData`. Use `GetText::POEntry` instead.
  * Removed Ruby 1.8 support.
  * Supported Rake 10.1.0.
  * Stopped to remove `TRANSLATORS:` tag because GNU gettext doesn't
    remove it.
  * Stopped to use `TRANSLATORS:` as comment tag. It is GNU gettext
    compatible behavior.
  * rxgettext: Added `--add-comments[=TAG]` option that exists in
    xgettext. [GitHub #16] [Reported by Ladislav Slezák]
  * Supported escaping tab character as `\t`.
  [#]## Fixes
  * po: Added a missing new line for multiple extracted comments.
    [GitHub #17] [Patch by Ladislav Slezák]
  * Fixed a bug that encoding may not be set.
  * Fixed a bug that `\n` is escaped as `\\n`.
    [GitHub #18] [Debian #716916] [Reported by Ladislav Slezák]
    [Reported by Francesco Poli]
* Fri Jul 12 2013 coolo@suse.com
- fix usage of update-alternatives
* Tue May  7 2013 coolo@suse.com
- updated to version 2.3.9, no changelog
* Fri Apr 12 2013 coolo@suse.com
- updated to version 2.3.8
  * Added licence information to the gemspec.
    [GitHub #13] [Patch by jordimassaguerpla]
  * Supported Ruby 2.0.0.
    [GitHub #14] [Reported by mtasaka]
  [#]## Fixes
  * [rxgettext] Fixed a bug that the comment for the previous message
    also exists in the current message.
    [Debian #684184] [Reported by Francesco Poli] [Patch by Jérémy Bobbio]
* Thu Jan 24 2013 coolo@suse.com
- updated to version 2.3.7
  [#]## Improvements
  * [msgmerge] Speeded up fuzzy matching.
  [#]## Fixes
  * [msgmerge] Fix the bug that msgmerge adds needless fuzzy flag from
    not fuzzy entries in merged PO.
  * [POEntry] Pretty formated all messages except msgstr.
* Fri Dec 21 2012 coolo@suse.com
- updated to version 2.3.6
  [#]## Fixes
  * [POEntry] Fixed the bug that obsolete comment mark (#~) is added
    to already comment.
  * [msgmerge] Fixed the bug that no separator (blank line) didn't exist
    between each obsolete entry.
  * [msgmerge] Fixed tne bug that obsolete entries in old PO file are
    added to new PO file. Any obsolete entries in old PO file aren't
    treated for merging.
* Fri Dec 14 2012 coolo@suse.com
- updated to version 2.3.5
  [#]## Fixes
  * [POParser] Fixed the class name for backward compatibility.
  [#]## Improvements
  * [Merger] Implemented "fuzzy-match" with Levenshtein distance.
  * Added the class "PO" for management PO entries. Please use PO
    instead of PoData. (see details in
    http://rubydoc.info/gems/gettext/GetText/PO.html)
  * [POEntry (renamed from PoMessages)] Supported to specify msgstr.
  * [POEntry]　Stored comments each type
    (translator\_comment, extracted\_comment, flag, previous).
    see
    http://www.gnu.org/software/gettext/manual/html_node/PO-Files.html
    for details of comment type.
  * [POEntry] Checked if specified type is valid in #type=.
  * [PoParser][MO] Concatenated msgctxt, msgid, msgid\_plural to
    "#{msgctxt}\004#{msgid}\000"{msgid\_plural}" by MO instead of
    PoParser. PoData and MO treat a concatenated string as msgid, but
    PO doesn't.
  * [PoParser] Parsed each type comment from whole comment.
  [#]## Changes
  * Rename some classes and methods.
  * PoMessage to PoEntry. This isn't "message" but "entry".
    (See http://www.gnu.org/software/gettext/manual/gettext.html#PO-Files)
  * PoMessages#== to POEntry#mergeable?.
  * PoMessages#to\_po\_str to POEntry#to\_s.
  * PoMessages#sources(sources=) to POEntry#references(references=)
  * MoFile to MO. For backword compatible, MoFile can be used now.
  * PoParser to POParser. For backword compatible, PoParser can be used now.
  * Raised no error when POEntry doesn't have references.
    It is useful for no references in .PO file.
* Sun Oct 28 2012 coolo@suse.com
- updated to version 2.3.3
  [#]## Improvements
  * [msginit] Supported plural forms for Bosnian, Catalan, Norwegian
    Bokmal and Chinese.
  [#]## Fixes
  * Fixed the bug that messages (i.e. the help message for rmsgfmt)
    aren't localized in each environment. However, some
    messages aren't tranlated or resolved fuzzy. Please
    help us to translate or resolve them.
    [Github #12][Reported by mtasaka]
  * Used String#%% to localize some messages.
* Fri Sep 21 2012 coolo@suse.com
- updated to version 2.3.2
  * Fixed the bug that untranslated messages are included in a .mo file.
    [Github #11][Reported by Ramón Cahenzli]
- dropping provides for names that were last seen on 10.1
* Thu Sep 13 2012 coolo@suse.com
- updated to version 2.3.1
  It's a Bug and package fix release.
  Then, it's also encoding support release, only if you use Ruby 1.9.
  [#]## Improvements
  * [xgettext] Added backword compatibility method
    (GetText::RGetText.run).
    [Suggested by Fotos Georgiadis]
  * [xgettext] Removed deprecated parse argument support.
  * [erb parer] Assumed the encoding in the magic comment of the
    input file as the encoding of it.
  * [ruby parser] Assumed the encoding in the magic comment of the
    input file as the encoding of it.
  * [xgettext] Added the "--output-encoding" option to set encoding of
    output pot file.
  * [xgettext] Used UTF-8 as the default encoding of output pot file.
  * [xgettext] Supported multiple encoding sources.
  [#]## Changes
  * [MoFile] Returned nil instead of "" as msgstr when its msgid isn't
    translated (when this msgstr is "").
  * [PoParser] Converted msgstr from "" to nil when parsing.
  [#]## Fixes
  * Added missing .yardopts file. [Reported by Takahiro Kambe]
  * [news] Fixed Eddie Lau name instead of github name.
  * [msginit] Added the "Plural-Forms:" entry to the header even if a
    pot file doesn't have it.
  * [msgmerge] Fixed the bug the new line between a header and
    contents doesn't exist.
  * [msginit] Fixed the bug that msgstr with msgid_plural aren't
    generated in output po file.
  * [xgettext] Supported class based xgettext parser add API.
    [GitHub #10] [Suggested by Michael Grosser]
  * [erb parer] Fixed erb parser bug with unicode msgid in Ruby 1.9
    ERB templates.
    [Github #9] [Patch by Fotos Georgiadis]
  * Added missing documents for GetText::Tools::XGetText
* Thu Jun  7 2012 lslezak@suse.cz
- updated to 2.2.1:
  * Supported non ASCII string in msgid
  * Stopped overriding String#%% on Ruby 1.9.
  * Fixed a bug that "\" is too escaped.
  * Removed GetText.bindtext dependency from GetText::PoParser.
  * Ranamed GetText::MOFile to GetText::MoFile but GetText::MOFile
  is still available.
  includes changes from 2.2.0:
  * Supported ruby-1.9
  * Supported $SAFE=1
  * Improved argument check
  * Supported ruby-1.8.6 again
  * Fixed Ukrainan translation path
  * Fixed a bug that only the last path in GETTEXT_PATH environment
  variable is used
  * Fixed a bug that Ruby-GetText-Package modifies $LOAD_PATH
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Jun 29 2010 jreidinger@novell.com
- split package into doc and testsuite to reduce size
- provide properly ruby-gettext version
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 2.1.0
* Tue Apr 14 2009 schubi@suse.de
- initial. splitted off from ruby-gettext package
